--- old/usr/src/uts/common/crypto/io/dca.c	sam. juil. 16 15:13:42 2016
+++ new/usr/src/uts/common/crypto/io/dca.c	sam. juil. 16 15:13:42 2016
@@ -154,9 +154,9 @@
 
 static struct modlinkage modlinkage = {
 	MODREV_1,		/* ml_rev */
-	&modldrv,		/* ml_linkage */
-	&modlcrypto,
-	NULL
+	{   &modldrv,		/* ml_linkage */
+	    &modlcrypto,
+	    NULL }
 };
 
 /*
@@ -351,24 +351,24 @@
 
 /* Operations for the symmetric cipher provider */
 static crypto_ops_t dca_crypto_ops1 = {
-	&dca_control_ops,
-	NULL,				/* digest_ops */
-	&dca_cipher_ops,
-	NULL,				/* mac_ops */
-	NULL,				/* sign_ops */
-	NULL,				/* verify_ops */
-	NULL,				/* dual_ops */
-	NULL,				/* cipher_mac_ops */
-	NULL,				/* random_number_ops */
-	NULL,				/* session_ops */
-	NULL,				/* object_ops */
-	NULL,				/* key_ops */
-	&dca_provmanage_ops_1,		/* management_ops */
-	&dca_ctx_ops
+	.co_control_ops = &dca_control_ops,
+	.co_digest_ops = NULL,
+	.co_cipher_ops = &dca_cipher_ops,
+	.co_mac_ops = NULL,
+	.co_sign_ops = NULL,
+	.co_verify_ops = NULL,
+	.co_dual_ops = NULL,
+	.co_dual_cipher_mac_ops = NULL,
+	.co_random_ops = NULL,
+	.co_session_ops = NULL,
+	.co_object_ops = NULL,
+	.co_key_ops = NULL,
+	.co_provider_ops = &dca_provmanage_ops_1,
+	.co_ctx_ops = &dca_ctx_ops
 };
 
 /* Operations for the asymmetric cipher provider */
-static crypto_ops_t dca_crypto_ops2 = {
+static crypto_ops_t dca_crypto_ops2 = { .cou.cou_v1 = {
 	&dca_control_ops,
 	NULL,				/* digest_ops */
 	&dca_cipher_ops,
@@ -383,14 +383,14 @@
 	NULL,				/* key_ops */
 	&dca_provmanage_ops_2,		/* management_ops */
 	&dca_ctx_ops
-};
+}};
 
 /* Provider information for the symmetric cipher provider */
-static crypto_provider_info_t dca_prov_info1 = {
+static crypto_provider_info_t dca_prov_info1 = {{{{
 	CRYPTO_SPI_VERSION_1,
 	NULL,				/* pi_provider_description */
 	CRYPTO_HW_PROVIDER,
-	NULL,				/* pi_provider_dev */
+	{ NULL },			/* pi_provider_dev */
 	NULL,				/* pi_provider_handle */
 	&dca_crypto_ops1,
 	sizeof (dca_mech_info_tab1)/sizeof (crypto_mech_info_t),
@@ -397,14 +397,14 @@
 	dca_mech_info_tab1,
 	0,				/* pi_logical_provider_count */
 	NULL				/* pi_logical_providers */
-};
+}}}};
 
 /* Provider information for the asymmetric cipher provider */
-static crypto_provider_info_t dca_prov_info2 = {
+static crypto_provider_info_t dca_prov_info2 = {{{{
 	CRYPTO_SPI_VERSION_1,
 	NULL,				/* pi_provider_description */
 	CRYPTO_HW_PROVIDER,
-	NULL,				/* pi_provider_dev */
+	{ NULL },			/* pi_provider_dev */
 	NULL,				/* pi_provider_handle */
 	&dca_crypto_ops2,
 	sizeof (dca_mech_info_tab2)/sizeof (crypto_mech_info_t),
@@ -411,7 +411,7 @@
 	dca_mech_info_tab2,
 	0,				/* pi_logical_provider_count */
 	NULL				/* pi_logical_providers */
-};
+}}}};
 
 /* Convenience macros */
 #define	DCA_SOFTC_FROM_CTX(ctx)	((dca_t *)(ctx)->cc_provider)
